Overview | Package | Class | Tree | Deprecated | Index | Help
| Oracle® Application Server XML Java API Reference 10g Release 2 (10.1.2) Part no. B12024-03 September 2004
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## javax.xml.transform
Interface ErrorListener

All Known Implementing Classes:
  XSLProcess

public interface ErrorListener

To provide customized error handling, implement this interface and use the setErrorListener method to register an instance of the implmentation with the Transformer. The Transformer then reports all errors and warnings through this interface.

If an application does not register an ErrorListener, errors are reported to System.err.

For transformation errors, a Transformer must use this interface instead of throwing an exception: it is up to the application to decide whether to throw an exception for different types of errors and warnings. Note however that the Transformer is not required to continue with the transformation after a call to fatalError.

Transformers may use this mechanism to report XML parsing errors as well as transformation errors.

Method Summary
`void` | `error(TransformerException exception)` Receive notification of a recoverable error.
`void` | `fatalError(TransformerException exception)` Receive notification of a non-recoverable error.
`void` | `warning(TransformerException exception)` Receive notification of a warning.

Method Detail

### warning

    public void warning(TransformerException exception)
                 throws TransformerException

  Receive notification of a warning.

  Transformers can use this method to report conditions that are not errors or fatal errors. The default behaviour is to take no action.

  After invoking this method, the Transformer must continue with the transformation. It should still be possible for the application to process the document through to the end.

  Parameters:
    `exception` - The warning information encapsulated in a transformer exception.
  Throws:
    `TransformerException` - if the application chooses to discontinue the transformation.
  See Also:
    `TransformerException`

### error

    public void error(TransformerException exception)
               throws TransformerException

  Receive notification of a recoverable error.

  The transformer must continue to try and provide normal transformation after invoking this method. It should still be possible for the application to process the document through to the end if no other errors are encountered.

  Parameters:
    `exception` - The error information encapsulated in a transformer exception.
  Throws:
    `TransformerException` - if the application chooses to discontinue the transformation.
  See Also:
    `TransformerException`

### fatalError

    public void fatalError(TransformerException exception)
                    throws TransformerException

  Receive notification of a non-recoverable error.

  The transformer must continue to try and provide normal transformation after invoking this method. It should still be possible for the application to process the document through to the end if no other errors are encountered, but there is no guarantee that the output will be useable.

  Parameters:
    `exception` - The error information encapsulated in a transformer exception.
  Throws:
    `TransformerException` - if the application chooses to discontinue the transformation.
  See Also:
    `TransformerException`

Overview | Package | Class | Tree | Deprecated | Index | Help
| Oracle® Application Server XML Java API Reference 10g Release 2 (10.1.2) Part no. B12024-03 September 2004
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001 Sun Microsystems, Inc. All rights reserved.